local jkHouses = ...


function registerAssembledHousePart(house, groundSize)
    jkHouses:registerAsset({
	DataType = "BUILDING_PART",
	Id = MOD_NS .. "ASSEMBLED_" .. house .. "_PART",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
        CoreRandomBuildingPartList = { MOD_NS .. "PREFAB_DUMMY" },
        MandatoryBuildingPartList = {
            { BuildingPart = MOD_NS .. house .. "_0_PART" }
    	}
	}
    })
end

registerAssembledHousePart("HOUSE_A", {12, 6})
registerAssembledHousePart("HOUSE_B", {7, 6})
registerAssembledHousePart("HOUSE_C", {8, 6})
registerAssembledHousePart("HOUSE_E", {5, 5})
registerAssembledHousePart("HOUSE_H", {6, 6})
registerAssembledHousePart("HOUSE_O", {4, 6})
registerAssembledHousePart("HOUSE_AH", {9, 6.5})

jkHouses:overrideAsset({
    Id = "BUILDING_PART_HOUSING_SERF_DENSITY_1",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLED_PART",
		RandomPartList = {
                    Action = "APPEND",
					MOD_NS .. "ASSEMBLED_HOUSE_O_PART",
					MOD_NS .. "ASSEMBLED_HOUSE_E_PART",
					MOD_NS .. "ASSEMBLED_HOUSE_H_PART",
                }
	}
})

jkHouses:overrideAsset({
    Id = "BUILDING_PART_HOUSING_SERF_DENSITY_2",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLED_PART",
		RandomPartList = {
                    Action = "APPEND",
					MOD_NS .. "ASSEMBLED_HOUSE_A_PART",
					MOD_NS .. "ASSEMBLED_HOUSE_B_PART",
					MOD_NS .. "ASSEMBLED_HOUSE_C_PART",
					MOD_NS .. "ASSEMBLED_HOUSE_AH_PART",
                }
	}
})